const std = @import("std");
const sqlite = @import("sqlite");

const Db = @import("Db.zig");
const Item = @import("Item.zig");
const Tag = @import("Tag.zig");

pub fn main() !void {
    var arena = std.heap.ArenaAllocator.init(std.heap.page_allocator);
    defer arena.deinit();
    const alloc = arena.allocator();

    var db = try Db.init();

    var tags = [2]Item.Tag{
        .{ .name = "title", .value = "clean room" },
        .{ .name = "task", .value = null },
    };

    var item = Item{ .id = null, .tags = &tags };

    try item.persist(&db);

    var jobj = item.toJson();
    defer jobj.deinit();

    _ = alloc;

    std.debug.print("{s}\n", .{jobj.toString()});
}
